Skip to content

Widget analytics

Daily views per widget

The widget analytic object

Attributes

organization_iduuid

Identifier of the organization the widget is defined in

widget_iduuid

Identifier of the viewed widget

datedate

Date of the views

viewsinteger

Number of views on the date

The widget analytic object
JSON
{
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "widget_id": "00000000-0000-0000-0000-000000000000",
  "date": "2026-10-30",
  "views": 1
}

List widget analytics

Filters

organization_idFilter<uuid>

Identifier of the organization the widget is defined in

widget_idFilter<uuid>

Identifier of the viewed widget

dateFilter<date>

Date of the views

viewsFilter<integer>

Number of views on the date

Responses

200

A list of widget analytics with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /widget_analytics
curl -X GET "https://api.bookingmood.com/v1/widget_analytics?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "widget_id": "00000000-0000-0000-0000-000000000000",
    "date": "2026-10-30",
    "views": 1
  }
]

Take control of your bookings. Build a business you own.

Join 1200+ independent vacation rental businesses using Bookingmood to grow direct bookings and build stronger guest relationships.

Start free 14-day trial